textures/cleanser/grating
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm metalsteps
	polygonOffset
	qer_alphafunc GE128 0.5
	cull none
	{
		map textures/cleanser/grating.tga
		blendfunc blend
		alphafunc GE128
		depthwrite
	}
	{
		map $lightmap
		depthfunc equal
		blendfunc filter
	}
}


textures/cleanser/lightbeam
{
	deformVertexes autosprite
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/cleanser/lightbeam.jpg
		rgbGen vertex
		blendfunc GL_SRC_ALPHA GL_ONE
		alphaGen portal 256
	}
}

textures/cleanser/basestone4_smooth
{
	qer_editorimage textures/kraden_halfsize/basestone4.jpg
	q3map_shadeangle 150
	q3map_nonplanar
	{
		map $lightmap
		blendfunc GL_ONE GL_ZERO
	}
	{
		map textures/kraden_halfsize/basestone4.jpg
		blendfunc filter
	}
}

textures/cleanser/brick1_smooth
{
	qer_editorimage textures/kraden_halfsize/brick1.jpg
	q3map_shadeangle 150
	q3map_nonplanar
	{
		map $lightmap
		blendfunc GL_ONE GL_ZERO
	}
	{
		map textures/kraden_halfsize/brick1.jpg
		blendfunc filter
	}
}

textures/cleanser/basestone6_smooth
{
	qer_editorimage textures/kraden_halfsize/basestone6.jpg
	q3map_shadeangle 150
	q3map_nonplanar
	{
		map $lightmap
		blendfunc GL_ONE GL_ZERO
	}
	{
		map textures/kraden_halfsize/basestone6.jpg
		blendfunc filter
	}
}

textures/cleanser/ec
{
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	polygonOffset
	qer_alphafunc GE128 0.5
	{
		map textures/cleanser/ec.tga
		blendfunc blend
		alphaGen const 0.8
		rgbGen identity
	}
}

textures/cleanser/arrow
{
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	polygonOffset
	qer_alphafunc GE128 0.5
	{
		map textures/cleanser/arrow.tga
		blendfunc blend
		rgbGen vertex
		alphaGen const 0.6
	}
}

textures/cleanser/generators
{
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	polygonOffset
	qer_alphafunc GE128 0.5
	{
		map textures/cleanser/generators.tga
		blendfunc blend
		rgbGen vertex
		alphaGen const 0.6
	}
}



textures/cleanser/vengeance
{
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	polygonOffset
	qer_alphafunc GE128 0.5
	{
		map textures/cleanser/vengeance.jpg
		blendfunc filter
	}
}

textures/cleanser/tbad
{
	qer_editorImage textures/cleanser/tb_can.jpg
	q3map_lightimage textures/cleanser/tb_water.jpg
	q3map_surfacelight 600
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	polygonOffset
	{
		map textures/cleanser/tb_water.jpg
		blendfunc GL_ONE GL_ZERO
		tcMod stretch sin 1 2 0 1
	}
	{
		map textures/cleanser/tb_can.tga
		blendfunc blend
		tcMod rotate 200
		tcMod scroll 0.5 0.5
	}
}